Package org.htmlunit.html

# Interface SubmittableElement

All Known Implementing Classes:
  `HtmlButton`, `HtmlButtonInput`, `HtmlCheckBoxInput`, `HtmlColorInput`, `HtmlDateInput`, `HtmlDateTimeLocalInput`, `HtmlEmailInput`, `HtmlFileInput`, `HtmlHiddenInput`, `HtmlImageInput`, `HtmlInput`, `HtmlMonthInput`, `HtmlNumberInput`, `HtmlPasswordInput`, `HtmlRadioButtonInput`, `HtmlRangeInput`, `HtmlResetInput`, `HtmlSearchInput`, `HtmlSelect`, `HtmlSelectableTextInput`, `HtmlSubmitInput`, `HtmlTelInput`, `HtmlTextArea`, `HtmlTextInput`, `HtmlTimeInput`, `HtmlUrlInput`, `HtmlWeekInput`

public interface SubmittableElement
An element that can have it's values sent to the server during a form submit.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultValue()`
  Returns the default value to use when this element gets reset, if applicable.
  `NameValuePair[]`
  `getSubmitNameValuePairs()`
  Returns an array of `NameValuePair`s that are the values that will be sent back to the server whenever this element's containing form is submitted.
  `boolean`
  `isDefaultChecked()`
  Returns the default checked state to use when this element gets reset, if applicable.
  `void`
  `reset()`
  Returns the value of this element to the default value or checked state (usually what it was at the time the page was loaded, unless it has been modified via JavaScript).
  `void`
  `setDefaultChecked(boolean defaultChecked)`
  Sets the default checked state to use when this element gets reset, if applicable.
  `void`
  `setDefaultValue(String defaultValue)`
  Sets the default value to use when this element gets reset, if applicable.

- ## Method Details

  - ### getSubmitNameValuePairs

    NameValuePair[] getSubmitNameValuePairs()

    Returns an array of `NameValuePair`s that are the values that will be sent back to the server whenever this element's containing form is submitted.

    THIS METHOD IS INTENDED FOR THE USE OF THE FRAMEWORK ONLY AND SHOULD NOT BE USED BY CONSUMERS OF HTMLUNIT. USE AT YOUR OWN RISK.

    Returns:
      the values that will be sent back to the server whenever this element's containing form is submitted

  - ### reset

    void reset()
    Returns the value of this element to the default value or checked state (usually what it was at the time the page was loaded, unless it has been modified via JavaScript).

  - ### setDefaultValue

    void setDefaultValue(String defaultValue)
    Sets the default value to use when this element gets reset, if applicable.
    Parameters:
      `defaultValue` - the default value to use when this element gets reset, if applicable

  - ### getDefaultValue

    String getDefaultValue()
    Returns the default value to use when this element gets reset, if applicable.
    Returns:
      the default value to use when this element gets reset, if applicable

  - ### setDefaultChecked

    void setDefaultChecked(boolean defaultChecked)
    Sets the default checked state to use when this element gets reset, if applicable. The default implementation is empty; only checkboxes and radio buttons really care what the default checked value is.
    Parameters:
      `defaultChecked` - the default checked state to use when this element gets reset, if applicable
    See Also:
      - `setDefaultChecked(boolean)`
      - `HtmlRadioButtonInput.setDefaultChecked(boolean)`
      - `HtmlCheckBoxInput.setDefaultChecked(boolean)`

  - ### isDefaultChecked

    boolean isDefaultChecked()
    Returns the default checked state to use when this element gets reset, if applicable.
    Returns:
      the default checked state to use when this element gets reset, if applicable